#!/tmp/.ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZpErLZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZperl/bin/perl
# selectwizard.cgi
use HTML::Template;
use PureMessage::Manager::CgiLogger qw(t d);
use PureMessage::Manager::Widget::ToolBar;
use PureMessage::Manager::Request qw($REQUEST %in %text);
use PureMessage::Manager::Response::Services::Sendmail;
use PureMessage::Manager::Lang;
use PureMessage::Manager::Config qw(%config);
use PureMessage::Service::Sendmail qw(:all);

my $r = $REQUEST->get_response( 'PureMessage::Manager::Response::Services::Sendmail',
                                       'stderr_to_stdout' =>1
                                     );

$r->add_help(text => "Help", tab => "locserv", page => "mgr_locserv_sendmail_wiz" );

$r->{debug} = 0;

my $WIDGET = new PureMessage::Manager::Widget;


my $mode = $in{'mode'} || undef;
if($in{'cancel'} || $in{'cancel.x'}){
	require './index.cgi';
}elsif($mode){
	if(lc($mode) eq 'gateway'){
		require './wz_gatewayconf.cgi';
	}elsif(lc($mode) eq 'hub'){
		require './wz_hubconf.cgi';
	}
}else{
	
	# display the wizard selection page.
	my $template = new HTML::Template (filename=>'tmpl/wzp_selecttype.html', die_on_bad_params=>0);
	$template->param(SECTION_HEADER=>$WIDGET->section_header(text('select_wiz_header')));
	$template->param(SECTION_FOOTER=>$r->ThemeSectionFooter(
                                        toolbar=>$r->ToolBar(
                                                          buttons => [[ { type=>'image',
                                                                          name=>'cancel',
                                                                          alt=>'Cancel',
                                                                          text=>'Cancel',
                                                                          icon=>'cancel',
                                                                        },
                                                                        { type=>'image',
                                                                          icon=>'continue',
                                                                          name=>'next',
                                                                          alt=>'Next',
                                                                          text=>'Next',
                                                                        },
                                                                     ]],
                                                        ))->output());

	$template->param(IS_NOW_GATEWAY=>isGateway()?text('is_now_gateway'):'');
	$template->param(IS_NOW_HUB=>isGateway()?'':text('is_now_hub'));
	$template->param(WARNING=>$r->notification_str('change_mode_warning'));
	$r->title(text('select_wiz_title'));
	$r->add_part($template->output,'body_text');
        $r->send();
}
