package PureMessage::Manager::Response::Services::Sendmail;
use strict;
use PureMessage::Manager::Request;
use PureMessage::Manager::Response::Services;
use PureMessage::Manager::Config qw(%config %web_config);
use File::stat;
use Socket;
use PureMessage::Version qw($PREFIX);
use ActiveState::Unix::ProcInfo qw(proc_info);
use PureMessage::Service::Sendmail qw(@milters &refresh_mc);

our  @ISA = ('PureMessage::Manager::Response::Services');

sub new {
    my $proto = shift;
    my $self = $proto->SUPER::new(@_);
    my @buttons = ({ type=>'text', text=>'View Status', href=>'index.cgi'},
                   { type=>'text', text=>'View Milter Configuration', href=>'milter.cgi'},
                   { type=>'text', text=>'Run Configuration Wizard', href=>'selectwizard.cgi'},
                   #{ type=>'text', text=>'Add Milter', href=>'milters.cgi'},
                  );
    $self->add_taskmenu({ title => 'Sendmail Service',
                          buttons => [ \@buttons],
                        });
    return $self;
}


1;
